Mantis Bugtracker
  

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004680 [Resin] minor always 07-25-11 09:41 06-11-12 15:30
Reporter alex View Status public  
Assigned To ferg
Priority normal Resolution fixed  
Status closed   Product Version 4.0.20
Summary 0004680: daily log rollover fails to rollover files
Description rep by Steve Francis

bug 0004540 is still not fixed in 4.0.20. I don't know if it just can't be fixed, or what.

As you can see, the log hasn't rolled over since 7/22, and it should EVERY day.
francis@adczlnxsahqa1:/var/www/log> ls -l
total 376
-rw-r--r-- 1 www-data www-data 296917 2011-07-25 08:57 access.log
-rw-r--r-- 1 www-data www-data 1393 2011-07-08 08:55 access.log.20110707.gz
-rw-r--r-- 1 www-data www-data 1249 2011-07-09 00:00 access.log.20110708.gz
-rw-r--r-- 1 www-data www-data 776 2011-07-10 00:00 access.log.20110709.gz
-rw-r--r-- 1 www-data www-data 3416 2011-07-12 00:00 access.log.20110711.gz
-rw-r--r-- 1 www-data www-data 2957 2011-07-13 00:00 access.log.20110712.gz
-rw-r--r-- 1 www-data www-data 2774 2011-07-15 07:27 access.log.20110713.2359.gz
-rw-r--r-- 1 www-data www-data 4873 2011-07-14 08:01 access.log.20110713.gz
-rw-r--r-- 1 www-data www-data 2041 2011-07-16 00:00 access.log.20110715.gz
-rw-r--r-- 1 www-data www-data 479 2011-07-17 00:00 access.log.20110716.gz
-rw-r--r-- 1 www-data www-data 447 2011-07-18 00:00 access.log.20110717.gz
-rw-r--r-- 1 www-data www-data 2459 2011-07-19 00:00 access.log.20110718.gz
-rw-r--r-- 1 www-data www-data 2816 2011-07-20 00:00 access.log.20110719.gz
-rw-r--r-- 1 www-data www-data 5616 2011-07-21 00:00 access.log.20110720.gz
-rw-r--r-- 1 www-data www-data 19575 2011-07-22 12:12 access.log.20110721.gz
francis@adczlnxsahqa1:/var/www/log>
Additional Information
Attached Files  resin.xml [^] (8,116 bytes) 08-03-11 04:57
 jvm-stderr.log [^] (5,437 bytes) 08-03-11 04:57
 jvm-stdout.log [^] (6,229 bytes) 08-03-11 04:58
 jvm-sahqa.log [^] (872 bytes) 08-03-11 04:58
 watchdog-manager.log [^] (1,812 bytes) 08-03-11 04:58
 access.log [^] (172,075 bytes) 08-03-11 04:59

- Relationships
related to 0004540closed ferg Access log rollover stops after a period of time 

- Notes
(0005439)
ferg
08-09-11 12:12

Resin 4.0.21 contains fixes/cleanups for this bug. This bug report will remain open until those fixes has been verified to solve the reported problem.
 
(0005484)
mros2stf
08-03-11 04:53

Installed Resin Pro 4.0.21. Log issue still here on low use server.
francis@adczlnxsahqa1:/var/www/log> date
Wed Aug 31 07:48:21 EDT 2011
francis@adczlnxsahqa1:/var/www/log> ls -l
total 232
-rw-r--r-- 1 www-data www-data 172075 2011-08-30 19:43 access.log
-rw-r--r-- 1 www-data www-data 296 2011-08-14 00:00 access.log.20110813.gz
-rw-r--r-- 1 www-data www-data 1884 2011-08-16 00:00 access.log.20110815.gz
-rw-r--r-- 1 www-data www-data 1449 2011-08-17 00:00 access.log.20110816.gz
-rw-r--r-- 1 www-data www-data 1321 2011-08-18 00:00 access.log.20110817.gz
-rw-r--r-- 1 www-data www-data 1754 2011-08-19 00:00 access.log.20110818.gz
-rw-r--r-- 1 www-data www-data 1503 2011-08-20 00:00 access.log.20110819.gz
-rw-r--r-- 1 www-data www-data 424 2011-08-21 00:00 access.log.20110820.gz
-rw-r--r-- 1 www-data www-data 230 2011-08-22 00:00 access.log.20110821.gz
-rw-r--r-- 1 www-data www-data 3209 2011-08-23 00:00 access.log.20110822.gz
-rw-r--r-- 1 www-data www-data 3266 2011-08-24 00:00 access.log.20110823.gz
-rw-r--r-- 1 www-data www-data 2627 2011-08-25 00:00 access.log.20110824.gz
-rw-r--r-- 1 www-data www-data 2170 2011-08-26 00:00 access.log.20110825.gz
-rw-r--r-- 1 www-data www-data 1570 2011-08-27 00:00 access.log.20110826.gz
-rw-r--r-- 1 www-data www-data 336 2011-08-28 00:00 access.log.20110827.gz
francis@adczlnxsahqa1:/var/www/log>
Server is on a z10 under zVM running SLES 10.3, and IBM J9 jvm, and has been since initially reported.

Linux adczlnxsahqa1 2.6.16.60-0.59.1-default 0000001 SMP Thu Jan 14 18:30:10 UTC 2010 s390x s390x s390x GNU/Linux

I'm attaching all the jvm logs as well.
 
(0005486)
mros2stf
09-02-11 05:52

Since upgrading to 4.0.21 on 8/29/11, the access.log hasn't rolled once.
francis@adczlnxsahqa1:/var/www/log> ls -l
total 276
-rw-r--r-- 1 www-data www-data 217707 2011-09-02 06:39 access.log
-rw-r--r-- 1 www-data www-data 296 2011-08-14 00:00 access.log.20110813.gz
-rw-r--r-- 1 www-data www-data 1884 2011-08-16 00:00 access.log.20110815.gz
-rw-r--r-- 1 www-data www-data 1449 2011-08-17 00:00 access.log.20110816.gz
-rw-r--r-- 1 www-data www-data 1321 2011-08-18 00:00 access.log.20110817.gz
-rw-r--r-- 1 www-data www-data 1754 2011-08-19 00:00 access.log.20110818.gz
-rw-r--r-- 1 www-data www-data 1503 2011-08-20 00:00 access.log.20110819.gz
-rw-r--r-- 1 www-data www-data 424 2011-08-21 00:00 access.log.20110820.gz
-rw-r--r-- 1 www-data www-data 230 2011-08-22 00:00 access.log.20110821.gz
-rw-r--r-- 1 www-data www-data 3209 2011-08-23 00:00 access.log.20110822.gz
-rw-r--r-- 1 www-data www-data 3266 2011-08-24 00:00 access.log.20110823.gz
-rw-r--r-- 1 www-data www-data 2627 2011-08-25 00:00 access.log.20110824.gz
-rw-r--r-- 1 www-data www-data 2170 2011-08-26 00:00 access.log.20110825.gz
-rw-r--r-- 1 www-data www-data 1570 2011-08-27 00:00 access.log.20110826.gz
-rw-r--r-- 1 www-data www-data 336 2011-08-28 00:00 access.log.20110827.gz
 
(0005501)
mros2stf
09-12-11 06:08

After a "second bounce" of Resin, rollover seems to be working as it should. I'll continue to monitor and update again later this week after I roll one more server that has more activity.
 
(0005502)
ferg
09-12-11 16:04

Thanks for the update. We still want to check against the IBM JDK to see if there's some kind of difference.
 
(0005503)
mros2stf
09-13-11 05:10

I am seeing the following now, and haven't ever before since 4.0.6.
[11-09-10 06:15:43.558] {CoordinatorThread[]-2} CoordinatorThread[] slow alarm Alarm[alarm[WebAppExpandDeployGenerator[null]]] 21429ms coordinator-delta 0ms
[11-09-10 06:15:43.583] {CoordinatorThread[]-2} CoordinatorThread[] slow alarm Alarm[alarm[com.caucho.distcache.cluster.CacheReplicationActor$ActorAlarm@2e342e34]] 21459ms coordinator-delta 30ms
[11-09-10 06:15:43.583] {CoordinatorThread[]-2} CoordinatorThread[] slow alarm Alarm[alarm[com.caucho.cloud.heartbeat.HeartbeatActor$HeartBeatAlarm@312f312f]] 21459ms coordinator-delta 0ms
 

- Issue History
Date Modified Username Field Change
07-25-11 09:41 alex New Issue
07-25-11 09:41 alex Relationship added related to 0004540
07-25-11 09:47 mros2stf Issue Monitored: mros2stf
08-09-11 12:12 ferg Note Added: 0005439
08-03-11 04:53 mros2stf Note Added: 0005484
08-03-11 04:57 mros2stf File Added: resin.xml
08-03-11 04:57 mros2stf File Added: jvm-stderr.log
08-03-11 04:58 mros2stf File Added: jvm-stdout.log
08-03-11 04:58 mros2stf File Added: jvm-sahqa.log
08-03-11 04:58 mros2stf File Added: watchdog-manager.log
08-03-11 04:59 mros2stf File Added: access.log
09-02-11 05:52 mros2stf Note Added: 0005486
09-12-11 06:08 mros2stf Note Added: 0005501
09-12-11 16:04 ferg Note Added: 0005502
09-13-11 05:10 mros2stf Note Added: 0005503
06-11-12 15:30 ferg Assigned To  => ferg
06-11-12 15:30 ferg Status new => closed
06-11-12 15:30 ferg Resolution open => fixed
06-11-12 15:30 ferg Fixed in Version  => 4.0.28


Mantis 1.0.0rc3[^]
Copyright © 2000 - 2005 Mantis Group
52 total queries executed.
35 unique queries executed.
Powered by Mantis Bugtracker